Bug 1857597 - Some of `oc adm inspect co/xx` failed with error
Summary: Some of `oc adm inspect co/xx` failed with error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Pawel Krupa
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1817938
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-16 08:42 UTC by OpenShift BugZilla Robot
Modified: 2020-07-28 12:37 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-28 12:37:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 855 None closed [release-4.4] Bug 1857597: Do not report 'all' in relatedObjects 2020-11-27 15:58:52 UTC
Red Hat Product Errata RHBA-2020:3075 None None None 2020-07-28 12:37:28 UTC

Comment 4 Junqi Zhao 2020-07-20 03:36:28 UTC
Tested with 4.4.0-0.nightly-2020-07-18-033102
# oc adm inspect co/monitoring
Gathering data for ns/openshift-monitoring...
E0719 23:13:52.725595   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod c2b8eda6d05afdd930669f9c6f57670f42ff57ad243a3bd87d7607fa990e75d2, uid : exit status 1: 2020/07/20 03:19:00 socat[187426] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:13:52.859161   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod c2b8eda6d05afdd930669f9c6f57670f42ff57ad243a3bd87d7607fa990e75d2, uid : exit status 1: 2020/07/20 03:19:01 socat[187433] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:13:53.002687   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod c2b8eda6d05afdd930669f9c6f57670f42ff57ad243a3bd87d7607fa990e75d2, uid : exit status 1: 2020/07/20 03:19:01 socat[187439] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:13:53.143916   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod c2b8eda6d05afdd930669f9c6f57670f42ff57ad243a3bd87d7607fa990e75d2, uid : exit status 1: 2020/07/20 03:19:01 socat[187446] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:13:54.291718   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod 48dcd9eef02f7b7614dbfe6d6e4a98cfbca89f72971ab9b2d9b8c9c729e64f32, uid : exit status 1: 2020/07/20 03:19:02 socat[325305] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:13:54.434303   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod 48dcd9eef02f7b7614dbfe6d6e4a98cfbca89f72971ab9b2d9b8c9c729e64f32, uid : exit status 1: 2020/07/20 03:19:02 socat[325340] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:13:54.576302   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod 48dcd9eef02f7b7614dbfe6d6e4a98cfbca89f72971ab9b2d9b8c9c729e64f32, uid : exit status 1: 2020/07/20 03:19:02 socat[325346] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:13:54.713329   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod 48dcd9eef02f7b7614dbfe6d6e4a98cfbca89f72971ab9b2d9b8c9c729e64f32, uid : exit status 1: 2020/07/20 03:19:02 socat[325353] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:13:55.889376   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod e19cddc351f3d4af6b63f2b7be23eb92dff41ad056920c73993c813c57aceecd, uid : exit status 1: 2020/07/20 03:19:04 socat[189453] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:13:56.043427   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod e19cddc351f3d4af6b63f2b7be23eb92dff41ad056920c73993c813c57aceecd, uid : exit status 1: 2020/07/20 03:19:04 socat[189461] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:13:56.212455   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod e19cddc351f3d4af6b63f2b7be23eb92dff41ad056920c73993c813c57aceecd, uid : exit status 1: 2020/07/20 03:19:04 socat[189484] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:13:56.351187   18795 portforward.go:400] an error occurred forwarding 37587 -> 9094: error forwarding port 9094 to pod e19cddc351f3d4af6b63f2b7be23eb92dff41ad056920c73993c813c57aceecd, uid : exit status 1: 2020/07/20 03:19:04 socat[189499] E connect(5, AF=2 127.0.0.1:9094, 16): Connection refused
E0719 23:14:41.300567   18795 portforward.go:385] error copying from local connection to remote stream: tls: use of closed connection
Wrote inspect data to inspect.local.5281839411889778455.

Although there is portforward error, it does not affect the function, move to VERIFIED, feel free to reopen it if you think it is a bug

Comment 6 errata-xmlrpc 2020-07-28 12:37:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3075


Note You need to log in before you can comment on or make changes to this bug.